Jump to content
Welcome to our new Citrix community!
  • 2

Cannot get self service to work in any version above v20


Matthew Weiner

Question

I'm using Workspace for Linux in a managed thin client environment from Stratodesk.  They use a Debian based distribution.  The issue I'm having is that I'm stuck at Workspace 20.x and can go no higher.  Version 20 connected directly to our load balancing Storefront (1912 LTSR) cluster, version 21 does not and throws an error "AM_ERROR_AUTH_NETWORK_ERROR [65275]" and refuses to join.  I verified the SSL certificate and all that, no luck.  If I enable verbose logging it mentions something about an unconfigured gateway.  So I tried connecting it to my Netscaler (version 12.1), which eliminated that error but now I get prompted for which store I want to join and then no matter which one I attempt to attach to I get no further, nothing appears.

 

I'm assuming it must be something in my configuration but I'm not sure what it is and if I can fix it without breaking my legacy clients.  I'm a bit stuck right now because 20 seems to be glitchy, throwing tons of gateway fatal errors against Windows 10, and I also cannot update Stratodesk any further due to them bundling 21x as the default client.

Link to comment

2 answers to this question

Recommended Posts

  • 0
On 9/14/2021 at 4:13 PM, Matthew Weiner said:

I'm using Workspace for Linux in a managed thin client environment from Stratodesk.  They use a Debian based distribution.  The issue I'm having is that I'm stuck at Workspace 20.x and can go no higher.  Version 20 connected directly to our load balancing Storefront (1912 LTSR) cluster, version 21 does not and throws an error "AM_ERROR_AUTH_NETWORK_ERROR [65275]" and refuses to join.  I verified the SSL certificate and all that, no luck.  If I enable verbose logging it mentions something about an unconfigured gateway.  So I tried connecting it to my Netscaler (version 12.1), which eliminated that error but now I get prompted for which store I want to join and then no matter which one I attempt to attach to I get no further, nothing appears.

 

I'm assuming it must be something in my configuration but I'm not sure what it is and if I can fix it without breaking my legacy clients.  I'm a bit stuck right now because 20 seems to be glitchy, throwing tons of gateway fatal errors against Windows 10, and I also cannot update Stratodesk any further due to them bundling 21x as the default client.


Hello, did you solve the problem? We're facing it now at the moment.

versions:
Citrix StoreFront 2203.0.1.2
Stratodesk NoTouch Center 4.5.340,
Stratodesk NoTouch OS on RPi4 clients: 3.4.95-EEs-k510-armhf-220723 
embedded Workspace App: 22.7.0.20 or 20.12.0.12 (forced via client version parameter as Stratodesk claims this is latest stable version for connection)

 

Link to comment

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...